/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */
package org.objectweb.fractal.bf.connectors.rmi;

/**
 * A java interface to configure and start the RMI skeleton.
 */
public interface RmiConnectorAttributes {

	String RMI_CONNECTOR_ATTRIBUTES = "rmiAttributes";

	void setServiceObject(Object service);

	void setServiceName(String name);

	void setHost(String host);

	void setPort(String port);

	void startRmi();

}
