/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */
package org.objectweb.fractal.bf.connectors.rmi;

import org.objectweb.fractal.bf.ExportHints;

/**
 * The RMI export hints.
 */
public class RmiExportHints implements ExportHints {

	private String host;
	private String port;
	private String serviceName;

	/**
	 * @see org.objectweb.fractal.bf.ExportId#getExportMode()
	 */
	public String getExportMode() {
		return "rmi";
	}

	public final String getHost() {
		return host;
	}

	public final void setHost(String host) {
		this.host = host;
	}

	public final String getPort() {
		return port;
	}

	public final void setPort(String port) {
		this.port = port;
	}

	public final String getServiceName() {
		return serviceName;
	}

	public final void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

}
