/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */
package org.objectweb.fractal.bf.connectors.rmi;

import java.lang.reflect.InvocationHandler;

import org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator;

/**
 * 
 */
public class RmiStubContentGenerator extends
		AbstractDynamicProxyStubContentGenerator<RmiBindHints> {

	/**
	 * @see org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator#createInvocationHandler(org.objectweb.fractal.bf.BindHints,
	 *      java.lang.Class)
	 */
	@Override
	protected InvocationHandler createInvocationHandler(RmiBindHints bindHints,
			Class<?> clazz) {
		return new RmiInvocationHandler(bindHints);

	}

}
