/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */
package org.objectweb.fractal.bf.connectors.rmi.asm;

/**
 * A factory for {@link RMIServiceInnerClassLoader} class loaders.
 */
public class RMIServiceClassLoaderFactory {

	static RMIServiceClassLoader INSTANCE;

	public static RMIServiceClassLoader getRMIClassLoader(ClassLoader cl) {
		if (INSTANCE == null) {
			INSTANCE = new RMIServiceClassLoader(cl);
		}
		return INSTANCE;
	}

}
